QwtWheel(3)

NAME
QwtWheel -

SYNOPSIS

#include <qwt_wheel.h>

Inherits QwtAbstractSlider.

  Public Slots
void setTotalAngle (double)
void setViewAngle (double)

  Public Member Functions
QwtWheel (QWidget *parent=NULL)
virtual ~QwtWheel ()
int borderWidth () const
double mass () const
virtual QSize minimumSizeHint () const
void setBorderWidth (int)
void setMass (double)
virtual void setOrientation (Qt::Orientation)
void setTickCnt (int)
void setWheelBorderWidth (int)
void setWheelWidth (int)
virtual QSize sizeHint () const
int tickCnt () const
double totalAngle () const
double viewAngle () const
int wheelBorderWidth () const
QRect wheelRect () const
int wheelWidth () const

  Protected Member Functions
virtual void drawTicks (QPainter *, const QRectF &)
virtual void drawWheelBackground (QPainter *, const QRectF &)
virtual void getScrollMode (const QPoint &, QwtAbstractSlider::ScrollMode &, int &direction) const
virtual double getValue (const QPoint &)
virtual void paintEvent (QPaintEvent *)
virtual void resizeEvent (QResizeEvent *)
virtual void valueChange ()

  Additional Inherited Members

Detailed Description

The Wheel Widget. The wheel widget can be used to change values over a very large range in very small steps. Using the setMass member, it can be configured as a flywheel.

See also:
    The radio example.

Member Function Documentation

  int QwtWheel::borderWidth () const
Returns:
    Border width

See also:
    setBorderWidth()

  void QwtWheel::drawTicks (QPainter *painter, const QRectF &rect) [protected], [virtual]
Draw the Wheel's ticks

Parameters:
    painter Painter
    rect Rectangle for the wheel

  void QwtWheel::drawWheelBackground (QPainter *painter, const QRectF &rect) [protected], [virtual]
Draw the Wheel's background gradient

Parameters:
    painter Painter
    rect Rectangle for the wheel

  void QwtWheel::getScrollMode (const QPoint &p, QwtAbstractSlider::ScrollMode &scrollMode, int &direction) const [protected], [virtual]

Determine the scrolling mode and direction corresponding to a specified point. Parameters:
    p point
    scrollMode scrolling mode
    direction direction

Implements QwtAbstractSlider.

  double QwtWheel::mass () const [virtual]
Returns:
    mass

Reimplemented from QwtAbstractSlider.

  QSize QwtWheel::minimumSizeHint () const [virtual]

Return a minimum size hint. Warning:
    The return value is based on the wheel width.

  void QwtWheel::paintEvent (QPaintEvent *event) [protected], [virtual]

Qt Paint Event. Parameters:
    event Paint event

  void QwtWheel::resizeEvent (QResizeEvent *event) [protected], [virtual]

Qt Resize Event. Parameters:
    event Resize event

  void QwtWheel::setBorderWidth (intwidth)

Set the border width. The border defaults to 2.

Parameters:
    width Border width

See also:
    borderWidth()

  void QwtWheel::setMass (doublemass) [virtual]

Set the mass of the wheel. Assigning a mass turns the wheel into a flywheel.

Parameters:
    mass The wheel's mass

Reimplemented from QwtAbstractSlider.

  void QwtWheel::setOrientation (Qt::Orientationo) [virtual]

Set the wheel's orientation. Parameters:
    o Orientation. Allowed values are Qt::Horizontal and Qt::Vertical. Defaults to Qt::Horizontal.

See also:
    QwtAbstractSlider::orientation()

Reimplemented from QwtAbstractSlider.

  void QwtWheel::setTickCnt (intcnt)

Adjust the number of grooves in the wheel's surface. The number of grooves is limited to 6 <= cnt <= 50. Values outside this range will be clipped. The default value is 10.

Parameters:
    cnt Number of grooves per 360 degrees

See also:
    tickCnt()

  void QwtWheel::setTotalAngle (doubleangle) [slot]

Set the total angle which the wheel can be turned. One full turn of the wheel corresponds to an angle of 360 degrees. A total angle of n*360 degrees means that the wheel has to be turned n times around its axis to get from the minimum value to the maximum value.

The default setting of the total angle is 360 degrees.

Parameters:
    angle total angle in degrees

See also:
    totalAngle()

  void QwtWheel::setViewAngle (doubleangle) [slot]

Specify the visible portion of the wheel. You may use this function for fine-tuning the appearance of the wheel. The default value is 175 degrees. The value is limited from 10 to 175 degrees.

Parameters:
    angle Visible angle in degrees

See also:
    viewAngle(), setTotalAngle()

  void QwtWheel::setWheelBorderWidth (intborderWidth)

Set the wheel border width of the wheel. The wheel border must not be smaller than 1 and is limited in dependence on the wheel's size. Values outside the allowed range will be clipped.

The wheel border defaults to 2.

Parameters:
    borderWidth Border width

See also:
    internalBorder()

  void QwtWheel::setWheelWidth (intwidth)

Set the width of the wheel. Corresponds to the wheel height for horizontal orientation, and the wheel width for vertical orientation.

Parameters:
    width the wheel's width

See also:
    wheelWidth()

  QSize QwtWheel::sizeHint () const [virtual]
Returns:
    a size hint

  int QwtWheel::tickCnt () const
Returns:
    Number of grooves in the wheel's surface.

See also:
    setTickCnt()

  double QwtWheel::totalAngle () const
Returns:
    Total angle which the wheel can be turned.

See also:
    setTotalAngle()

  double QwtWheel::viewAngle () const
Returns:
    Visible portion of the wheel

See also:
    setViewAngle(), totalAngle()

  int QwtWheel::wheelBorderWidth () const
Returns:
    Wheel border width

See also:
    setWheelBorderWidth()

  QRect QwtWheel::wheelRect () const
Returns:
    Rectangle of the wheel without the outer border

  int QwtWheel::wheelWidth () const
Returns:
    Width of the wheel

See also:
    setWheelWidth()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.